# PyContact
<!-- [![Build Status](https://travis-ci.com/maxscheurer/pycontact.svg?token=Xyntx2ELmeydq8pgqs8t&branch=master)](https://travis-ci.com/maxscheurer/pycontact) -->
<!--[![DOI](https://www.zenodo.org/badge/56337063.svg)](https://www.zenodo.org/badge/latestdoi/56337063) -->

**PyContact** is a GUI-based tool for rapid, versatile and customizable analysis of non-covalent interactions in molecular dynamics (MD) trajectories.

## Installation
Please find detailed installation instructions on the [project website](https://pycontact.github.io/) together
with a basic tutorial.

For interactive visualization: latest version of [VMD](http://www.ks.uiuc.edu/Development/Download/download.cgi?PackageName=VMD).


## Scripting
Analysis can also be performed by using PyContact as a plain python package. In this way,
you can automate analysis (reading trajectories and running contact score accumulation) from your Python script and visualize it in the GUI. For an example, see this [Python script](examples/automation.py).

## Citation
If you use PyContact in a scientific publication, please cite:

__PyContact: Rapid, Customizable, and Visual Analysis of Noncovalent Interactions in MD Simulations__

Maximilian Scheurer, Peter Rodenkirch, Marc Siggel, Rafael C. Bernardi, Klaus Schulten, Emad Tajkhorshid and Till Rudack
Biophysical Journal, Volume 114, Issue 3, 577-583

DOI: https://doi.org/10.1016/j.bpj.2017.12.003

[Link to Full Text Article](http://www.cell.com/biophysj/fulltext/S0006-3495(17)35051-8)

## About
Main Developers: Maximilian Scheurer and Peter Rodenkirch
Support: Open an Issue on Github or [email us](mailto:mscheurer@ks.uiuc.edu).
